# Examples

Here are some examples on how to use UJET web-sdk.

## Run Demo

We have a built-in server to run all demos. Before starting the server,
you need to update:

1. YOUR COMPANY NAME, and COMPANY SECRET in `app.js`.
2. YOUR COMPANY ID, and HOST in `demos` html files.

Install all the requirements:

```
$ npm install
```

Then start the server with:

```
$ npm start
```


## JWT Endpoint

We have a JWT endpoint in Node.js in this repo as an example. Take a look
at the `app.js`. Customers need to implement their own JWT endpoint.

Here are some pseudo code on how to create the endpoint:

```
// client don't need to post userinfo, because user is logged in
@route('/auth/token', methods=['GET'])
def handle_auth_token(request):
    user = request.current_user
    payload = {
        'identifier': user.username,
        'name': user.name,
        'email': user.email,

        'iss': 'YOUR_COMPANY_NAME',
        'iat': now_timestamp,
        'exp': now_timestamp + 3600, 1 hour
    }
    secret = 'YOUR_COMPANY_SECRET_IN_UJET'
    token = jwt.sign({'typ': 'JWT', 'alg': 'HS256'}, payload, secret)
    return {'token': token}


// send user information with POST
@route('/auth/token', methods=['POST'])
def handle_auth_token(request):
    // data contains `identifier`, `name`, `email` and etc.
    data = request.json()
    payload = {
        'iss': 'YOUR_COMPANY_NAME',
        'iat': now_timestamp,
        'exp': now_timestamp + 3600, 1 hour
    }
    payload.update(data)
    secret = 'YOUR_COMPANY_SECRET_IN_UJET'
    token = jwt.sign({'typ': 'JWT', 'alg': 'HS256'}, payload, secret)
    return {'token': token}
```
