const express = require('express')
const jwt = require('jsonwebtoken')

const port = process.env.PORT || 3000
const secret = process.env.COMPANY_SECRET || 'secret'
const COMPANY_NAME = 'YOUR_COMPANY_NAME'

const app = express()

app.use(express.static('demos'))
app.use(express.json())

app.post('/auth/token', function (req, res) {
  const payload = req.body.payload
  payload['iss'] = COMPANY_NAME
  const iat = parseInt(Date.now() / 1000, 10)
  payload['iat'] = iat
  payload['exp'] = iat + 600
  const token = jwt.sign(payload, secret, { algorithm: 'HS256' })
  res.json({ token })
})

app.get('/auth/custom_data', function (req, res) {
  const payload = {
    custom_data: {
      version: {
        label: 'Version',
        value: '1.0.0'
      }
    }
  }
  payload['iss'] = COMPANY_NAME
  const iat = parseInt(Date.now() / 1000, 10)
  payload['iat'] = iat
  payload['exp'] = iat + 600
  const token = jwt.sign(payload, secret, { algorithm: 'HS256' })
  res.json({ token })
})

app.listen(port, function () {
  console.log(`Listing at http://localhost:${port}`)
})
